using System;
using LeerDato;
namespace Calculadora
{
  class MiAplicacion
  {
    public static void Main(string[] args)
    {
      Calculadora MiCalculadora = new Calculadora();
      double dato1 = 0, dato2 = 0;
      int operación = 0;

      while (true)
      {
        operación = MiCalculadora.menú();

        if (operación != 5)
        {
          // Leer datos
          Console.Write("Dato 1: ");
          Leer.DatoDouble(ref dato1);
          Console.Write("Dato 2: ");
          Leer.DatoDouble(ref dato2);
          MiCalculadora.EstablecerOperandos(dato1, dato2);

          // Realizar la operación
          switch (operación)
          {
            case 1:
              MiCalculadora.Sumar();
              break;
            case 2:
              MiCalculadora.Restar();
              break;
            case 3:
              MiCalculadora.Multiplicar();
              break;
            case 4:
              MiCalculadora.Dividir();
              break;
          }
          // Escribir el resultado
          Console.WriteLine("Resultado = {0}\n",
                            MiCalculadora.Resultado());
        }
        else
        {
          break; // salir
        }
      }
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
